function Ygh(){}
function Ngh(a){this.a=a}
function Qgh(a){this.a=a}
function $gh(a){this.a=a}
function ppf(a,b){a.a=b;return a}
function qpf(a){a.e=100;return a}
function rpf(){this.c=new VWd;MD();this.d=Rzj}
function rff(){this.b=JA($doc);this.a=JA($doc)}
function xmd(a){a.a.oe(0,2);tmd(a.a.c,0,2)[uCj]=kak}
function vmd(a,b,d){var e;a.a.oe(b,1);e=tmd(a.a.c,b,1);Nz(e,i3j,d.a)}
function Poh(a){var b;if(!a.d){b=new Ygh;a.d=b}return a.d}
function Yu(a,b,d,e){var g;cv(a,b,d);g=Pu(a,b,d,e==null);e!=null&&Kz(g,e)}
function Lgh(a,b,d,e){lGd.call(this,a,b,d);this.a=e;this.b=new p0i(o2b)}
function sff(a,b){if(a==0||b==0)return 0;return l3c(Y2c(Math.round(b/a*100)))}
function opf(a){var b,d,e,g,i,j;j=0;i=false;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];if(b.c){i=true;break}++j}return i?j:-1}
function Pgh(a,b){var d,e;d=pnj(b);if(A7i(d,zGj).b.b!=(Slj(),Rlj)){e=f0i(a.a.b,A7i(d,zGj));Xgh(a.a.A,e)}else{Xgh(a.a.A,null)}}
function Kgh(a){var b,d;b=mef();K7i(o7i(b),HHj,WDj);d=new Y7i;J7i(A7i(d,qGj),'engine-statistics');O7i(A7i(d,sGj),b);vnj(new Omj(d),new Qgh(a))}
function Ooh(a){var b;if(!a.c){b=new Lgh(vFd(sce(a.a)),Poh(a),Noh(a),(Znj(Zde(a.a)),b1i(Xde(a.a)),RLg(lde(a.a))));HFd((tce(a.a),b),EGd(tce(a.a)));a.c=b}return a.c}
function Xgh(a,b){var d;d=new ief(rM(r0c,ixj,-1,[Z2c(b.tI().a),b.uI().a,b.vI().a,b.pI().a,b.rI().a,b.nI().a,b.oI().a,b.qI().a,Z2c(b.mI().a),Z2c(b.wI().a),Z2c(b.sI().a)]));mpf(a.b,d)}
function qff(a,b,d){var e,g,i;g=znd(a.c,a.a);i=sff(b,d);if(i>0){Hz(g,YAj,jik+i+WAj);Hz(g,kik,jik+i+WAj)}else{Hz(g,YAj,lik);Hz(g,kik,lik)}e=new E4c;D4c(C4c((FQd(e.a,"<span style='padding-right:5px;'>"),e),i+WAj),b0j);Kz(g,(new G4c(e.a.a.a)).a)}
function mpf(a,b){var d,e,g,i,j,k,n,o,p;p=1;g=opf(a);if(g>b.a.b)throw new wo(mik+g+nik+b.a.b);e=ROd(g>=0?(new OOd(FNd(gg(b.a,g)))).a:Dyj);for(j=a.a,k=0,n=j.length;k<n;++k){i=j[k];o=p-1;d=gg(b.a,o);if(null==d)throw new wo(oik+o+pik);$u(a.b,p,1,d);if(!!i.a&&$2c(e.a,Vxj)){qff(gg(a.c,o),l3c(e.a),(new kOd(DNd(d))).a)}else if(!!i.a&&a3c(e.a,Vxj)){throw new wo(qik)}++p}}
function npf(a){var b,d,e,g,i,j,k,n,o,p;i=new Hwd;Iz((Wfd(),i.gb),I_j);Ewd(i,new snd("<div class='metric-table-title'>"+a.d+l3j));a.b=new ev;Hz(yr(a.b),uCj,a.e+WAj);Yu(a.b,0,0,'Metric');Yu(a.b,0,1,'Actual');Yu(a.b,0,2,wCj);vmd(a.b.d,0,(Vnd(),Und));j=1;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];Yu(a.b,j,0,"<div class='metric-table-label'>"+b.d+':<\/div>');Yu(a.b,j,1,Rzj);MWd(a.c,new rff);if(b.a){k=gg(a.c,j-1);_u(a.b,j,2,(n=new E4c,D4c(n,"<div id='"+k.b+"'><div id='"+k.a+"'/><\/div>"),k.c=new And(new G4c(n.a.a.a)),o=znd(k.c,k.b),wz(o,'stacked-bar-total'),Hz(o,YAj,vgk),Hz(o,kik,'width:100%!important'),p=znd(k.c,k.a),wz(p,'stacked-bar-actual'),wA(p,Rzj),k.c));qff(k,0,0)}else $u(a.b,j,2,Rzj);vmd(a.b.d,j,Und);b.c&&Lnd(a.b.f,j,'metric-table-baseline');++j}wmd(a.b.d,0,0,rik);wmd(a.b.d,0,1,rik);wmd(a.b.d,0,2,rik);xmd(a.b.d);Ewd(i,a.b);return i}
var tik='Teiid Metrics',lik='background:none',kik='cssText',rik='metric-table-header';w3c(2506,1,{},rff);w3c(2677,1,{},rpf);_.a=null;_.e=100;w3c(4581,1010,ryj,Lgh);_.Ti=function(){this.A.a=this;iI(this.v,(vuf(),uuf),this)};_.Uk=function(){vq((oq(),nq),new Ngh(this))};_.Yi=function(){this.B&&Kgh(this)};_.aj=function(){Yuf(this.a,this)};w3c(4582,1,{},Ngh);_.vd=function(){Kgh(this.a)};w3c(4583,1297,{},Qgh);_.sd=function(a){AYd('Failed to retrieve query engine statistics for Teiid',a.$b())};_.eh=function(a){Pgh(this,a)};w3c(4586,1414,pyj,Ygh);_.Bh=function(){var a,b,d,e,g,i,j,k,n,o,p,q,r,s;r=new Wij;Qij(r,new Mij((uYd(),Uhk),new $gh(this)));p=new off(EQj,'Session Count');o=new off(GQj,'Memory in Use(KB)');n=new off(IQj,'Memory Used By Active Plans(KB)');g=new off(KQj,'Buffer Disk Reads');i=new off(MQj,'Buffer Disk Writes');b=new off(OQj,'Buffer Cache Reads');d=new off(QQj,'Buffer Cache Writes');q=new off(SQj,'Disk Space In Use(MB)');a=new off(UQj,'Active Plan Count');s=new off(WQj,'Waiting Plan Count');k=new off(YQj,'Maximum Plans Waiting Water Mark');e=rM(J1c,jxj,195,[p,o,n,g,i,b,d,q,a,s,k]);this.b=qpf(ppf(new rpf,e),MD());j=UBe(XBe(aCe(YBe(_Be(new bCe,sik),tik),r),'Metrics for teiid subsystem'),tik,npf(this.b));return VBe(j)};w3c(4587,1,Exj,$gh);_.le=function(a){Kgh(this.a.a)};w3c(4743,1,Yyj);_.td=function(){dHd(this.b,Ooh(this.a.a))};var G3b=bOd(4581),C3b=bOd(4582),D3b=bOd(4583),I3b=bOd(4586),H3b=bOd(4587),Fub=bOd(2677),trb=bOd(2506);Mzj(np)(75);